Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 201243 - NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.getUriForPrefix
NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension....
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF Editor
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-23 09:45 UTC by Maksim Khramov
Modified: 2011-09-14 06:25 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.17 KB, text/plain)
2011-08-23 09:45 UTC, Maksim Khramov
Details
stacktrace (2.17 KB, text/plain)
2011-09-06 19:29 UTC, rdelaplante
Details
stacktrace (2.17 KB, text/plain)
2011-09-06 19:32 UTC, rdelaplante
Details
stacktrace (2.17 KB, text/plain)
2011-09-08 15:07 UTC, muellermi
Details
stacktrace (2.17 KB, text/plain)
2011-09-08 15:10 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maksim Khramov 2011-08-23 09:45:44 UTC
Build: NetBeans IDE Dev (Build 201107300600)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b50
OS: Windows 7

User Comments:
GUEST: after writing: xmlns:f="", I've done ctl+space betwen ""

GUEST: add to <ui:composition xmlns="http://www.w3.org/1999/xhtml"

GUEST: ctlr+space on html completion in xhtml page (JSF)

GUEST: adding new xmlns entry for jsf2

GUEST: completion in html tag (for obtain attribute) in jsf page (xhtml)




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.getUriForPrefix(JsfHtmlExtension.java:313)
   at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.completeAttributes(JsfHtmlExtension.java:347)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery.query(HtmlCompletionQuery.java:472)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery$1.run(HtmlCompletionQuery.java:137)
   at org.netbeans.editor.BaseDocument.render(BaseDocument.java:1422)
   at org.netbeans.modules.html.editor.completion.HtmlCompletionQuery.run(HtmlCompletionQuery.java:129)
Comment 1 Maksim Khramov 2011-08-23 09:45:48 UTC
Created attachment 110155 [details]
stacktrace
Comment 2 Exceptions Reporter 2011-08-27 11:32:38 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=177944
Comment 3 rdelaplante 2011-09-06 19:29:04 UTC
Created attachment 110444 [details]
stacktrace

I was typing HTML in a facelets file
Comment 4 rdelaplante 2011-09-06 19:32:05 UTC
Created attachment 110445 [details]
stacktrace

I was typing:   "<div c" then I pressed ctrl-space to get code completion (expecting it to complete "class" attribute).  Instead I got this exception.  This is a facelets template.
Comment 5 muellermi 2011-09-08 15:07:13 UTC
Created attachment 110539 [details]
stacktrace
Comment 6 muellermi 2011-09-08 15:10:13 UTC
Created attachment 110540 [details]
stacktrace

pressing Ctrl-Space in "<div >" just before the ">"
Comment 7 Marek Fukala 2011-09-12 14:27:44 UTC
fixed in web-main#e532842b86ec
Comment 8 Quality Engineering 2011-09-14 06:25:02 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e532842b86ec
User: Marek Fukala <mfukala@netbeans.org>
Log: #201243 - NullPointerException at org.netbeans.modules.web.jsf.editor.JsfHtmlExtension.getUriForPrefix


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo